ingres_field_length
ingres_field_nullable
Ingres Functions
PHP Manual

# ingres_field_name

(PHP 4 >= 4.0.2, PHP 5 <= 5.0.5, PECL ingres >= 1.0.0)

ingres_field_name — Get the name of a field in a query result

### Description

string ingres_field_name ( resource `$result` , int `$index` )

ingres_field_name() returns the name of a field in a query result.

> Note: Related Configurations
> See ingres.array_index_start in Runtime Configuration

### Parameters

`result`

  The query result identifier

`index`

  `index` is the field whose name will be retrieved. The start and end values for `index` depends on the the value of ingres.array_index_start. If ingres.array_index_start is 0 then the field number must be between 0 and one less than the value given by ingres_num_fields(). Else if ingres.array_index_start is 1 then the field number must be between 1 and the value given by ingres_num_fields().

### Return Values

Returns the name of a field in a query result, or `FALSE` on failure

### See Also

- ingres_query() - Send an SQL query to Ingres
- ingres_fetch_array() - Fetch a row of result into an array
- ingres_fetch_object() - Fetch a row of result into an object
- ingres_fetch_row() - Fetch a row of result into an enumerated array

ingres_field_length
ingres_field_nullable
Ingres Functions
PHP Manual